Subject: [PATCH v3] ARM: perf: split up perf_event.c by architecture

From: [email-masked] (Will Deacon)
Date: Mon, 29 Nov 2010 12:09:30 -0000

Hello,

This is version 3 of the patches originally posted here:

v1: http://lists.infradead.org/pipermail/linux-arm-kernel/2010-November/031503.html
v2: http://lists.infradead.org/pipermail/linux-arm-kernel/2010-November/032289.html

The changes from v2 are that the patch previously entitled:

`ARM: perf: avoid exposing internal stop function for v6 PMU'

has been dropped and replaced with a patch [1/5] which addresses
all warnings generated by sparse, as reported by Russell. Once
again, I'm just providing a pointer to the repository so that I
don't spam the list with the final patch. I'll send a pull request
to Russell tomorrow unless I need to rework anything.

Feedback welcome.

Will

The following changes since commit 3561d43fd289f590fdae672e5eb831b8d5cf0bf6:
  Linus Torvalds (1):
        Linux 2.6.37-rc3

are available in the git repository at:

  git://linux-arm.org/linux-2.6-wd.git perf-split

Will Deacon (5):
      ARM: perf: fix warnings generated by sparse
      ARM: perf: consolidate common PMU behaviour
      ARM: perf: add _init() functions to PMUs
      ARM: perf: encode PMU name in arm_pmu structure
      ARM: perf: separate PMU backends into multiple files

 arch/arm/kernel/perf_event.c        | 2466 +----------------------------------
 arch/arm/kernel/perf_event_v6.c     |  672 ++++++++++
 arch/arm/kernel/perf_event_v7.c     |  906 +++++++++++++
 arch/arm/kernel/perf_event_xscale.c |  807 ++++++++++++
 4 files changed, 2428 insertions(+), 2423 deletions(-)
 create mode 100644 arch/arm/kernel/perf_event_v6.c
 create mode 100644 arch/arm/kernel/perf_event_v7.c
 create mode 100644 arch/arm/kernel/perf_event_xscale.c